database:
  path: "/home/edgekit/MSY_FS/databases/database.sqlite"
  table: feature_table
  key: _Id

model:
  path: "/home/edgekit/MSY_FS/fahrsimulator_msy2526_ai/predict_pipeline/cnn_crossVal_EarlyFusion_V2_0103.keras"

scaler:
  use_scaling: true
  path: "/home/edgekit/MSY_FS/fahrsimulator_msy2526_ai/predict_pipeline/scaler_crossVal_EarlyFusion_V2_0103.joblib"

mqtt:
  enabled: true
  host: "141.75.223.13"
  port: 1883
  topic: "PREDICTION"
  client_id: "jetson-board"
  qos: 0
  retain: false
  # username: ""
  # password: ""
  tls:
    enabled: false
    # ca_cert: ""
    # client_cert: ""
    # client_key: ""
  publish_format:
    result_key: prediction   # where to store the predicted value in payload
    include_metadata: true   # e.g., timestamps, rowid, etc.

sample:
  columns:
  - _Id
  - start_time
  - FACE_AU01_mean
  - FACE_AU02_mean
  - FACE_AU04_mean
  - FACE_AU05_mean
  - FACE_AU06_mean
  - FACE_AU07_mean
  - FACE_AU09_mean
  - FACE_AU10_mean
  - FACE_AU11_mean
  - FACE_AU12_mean
  - FACE_AU14_mean
  - FACE_AU15_mean
  - FACE_AU17_mean
  - FACE_AU20_mean
  - FACE_AU23_mean
  - FACE_AU24_mean
  - FACE_AU25_mean
  - FACE_AU26_mean
  - FACE_AU28_mean
  - FACE_AU43_mean
  - Fix_count_short_66_150
  - Fix_count_medium_300_500
  - Fix_count_long_gt_1000
  - Fix_count_100
  - Fix_mean_duration
  - Fix_median_duration
  - Sac_count
  - Sac_mean_amp
  - Sac_mean_dur
  - Sac_median_dur
  - Blink_count
  - Blink_mean_dur
  - Blink_median_dur
  - Pupil_mean
  - Pupil_IPA

  fill_nan_with_median: true
  discard_if_all_nan: true

fallback:
  FACE_AU01_mean: 0.7645230925040001
  FACE_AU02_mean: 0.731433810144
  FACE_AU04_mean: 0.19544571909800001
  FACE_AU05_mean: 0.5459417841199999
  FACE_AU06_mean: 0.11525241050400001
  FACE_AU07_mean: 0.012
  FACE_AU09_mean: 0.1025071305288
  FACE_AU10_mean: 0.018860388261559197
  FACE_AU11_mean: 0.4
  FACE_AU12_mean: 0.06147405784940001
  FACE_AU14_mean: 0.3035830324256
  FACE_AU15_mean: 0.429531116458
  FACE_AU17_mean: 0.59837751402
  FACE_AU20_mean: 0.0
  FACE_AU23_mean: 0.36847432157119997
  FACE_AU24_mean: 0.460720551004
  FACE_AU25_mean: 0.08549070376580001
  FACE_AU26_mean: 0.15669224557279998
  FACE_AU28_mean: 0.4071362423348
  FACE_AU43_mean: 0.10835549767080001
  Fix_count_short_66_150: 1.0
  Fix_count_medium_300_500: 0.0
  Fix_count_long_gt_1000: 0.0
  Fix_count_100: 1.0
  Fix_mean_duration: 60.869565217391305
  Fix_median_duration: 40.0
  Sac_count: 98.0
  Sac_mean_amp: 0.12010199338955968
  Sac_mean_dur: 263.5705727294512
  Sac_median_dur: 160.0
  Blink_count: 14.0
  Blink_mean_dur: 0.38857142857142857
  Blink_median_dur: 0.2
  Pupil_mean: 3.2823675201416016
  Pupil_IPA: 0.0036347377340156025
